package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.FormaRepository;
import com.realnet.basicp1.Entity.Forma;import java.util.List;
import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import com.realnet.users.service1.AppUserServiceImpl;
import org.springframework.http.HttpStatus;
import com.realnet.users.entity1.AppUser;






















	import org.springframework.stereotype.Service;

@Service
 public class FormaService {
@Autowired
private FormaRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





















public Forma Savedata(Forma data) {






















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Forma save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Forma> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Forma> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Forma> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Forma getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Forma update(Forma data,Integer id) {
	Forma old = Repository.findById(id).get();
old.setText_field(data.getText_field());

old.setNumber_field(data.getNumber_field());

old.setPhone_number(data.getPhone_number());

old.setParagraph_field(data.getParagraph_field());

old.setPassword_field(data.getPassword_field());

old.setTextarea(data.getTextarea());

old.setDate_field(data.getDate_field());

old.setDatetime_field(data.getDatetime_field());

old.setEmail_field(data.getEmail_field());

old.setToggle_switch (data.isToggle_switch());

old.setUrl_field(data.getUrl_field());

final Forma test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
